2024-03-02 23:37 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002965Robozone[All Projects] Generalpublic2018-10-12 12:47
ReporterIrek 
Assigned ToStingRayProject InfoRobozone (Mirrorsoft)
http://www.whdload.de/games/Robozone.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionunable to reproduce 
Summary0002965: Hi, The game crashes with an error (see below) if I try to start the game with
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 26.01.2014

Hi,
The game crashes with an error (see below) if I try to start the game with the intro.
At the main charakter in the game there are some GFX errors.
Can you please take a look at this?
Thanks!
************************* 25-Feb-14 19:41:04
************************17.2.5386***
Slave='Robozone.slave' (2928 bytes)
ShadowMem 687F72C8 - 688772C8 ( 524288) AbsolutMem 80000 - 80000 (
0)
Resload 6BFD2000 - 6BFD9950 ( 31056) at 6BFD2000 GL=$6BFF5000
Slave 6BFFE000 - 6BFFEB4C ( 2892) at 6BFFE000 BaseMemSize=$80000
ExpMem 6BFDB000 - 6BFF4000 ( 102400) at 6BFDB000
attn=7F(40,82) fc=-1 kn=10371 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)
Exception "Illegal Instruction" ($10) at $544 occured.
$00000504 bsr.w $852
$00000508 bsr.w $842
$0000050c move #$2100,sr
$00000510 bset #1,($bfe001)
$00000518 moveq #-1,d0
$0000051a lea ($49ea0),a0
$00000520 bsr.w $1140
$00000524 bsr.w $b00
$00000528 bsr.w $722
$0000052c bsr.w $584
$00000530 addq.l #1,($fb0)
$00000536 btst #6,($bfe001)
$0000053e bne.b $524
$00000540 jmp ($6bffe2fe)
$00000546 ori.b #0,d7
$0000054a ori.b #??$a6,d0
$0000054e move.l #$78000,($faa)
$00000558 clr.w ($fae)
$0000055e clr.l ($fb0)
$00000564 clr.l ($fb4)
$0000056a clr.l ($fb8)
$00000570 clr.l ($fbc)
$00000576 move.l #$37824,($37820)
$00000580 bra.w $500
$00000584 move.l ($fb8),d0
$0000058a addq.l #1,d0
$0000058c cmp.w ($8f8),d0
$00000592 bgt.b $58c
$00000594 bra.b $5a4
exception stackframe:
$000004F4 21040000 05440010
regular stack:
$000004FC 00000528 4FF80500 6100034C 61000338 46FC2100 08F90001 00BFE001
70FF41F9
$0000051C 00049EA0 61000C1E 610005DA 610001F8 61000056 52B90000 0FB00839
000600BF
$0000053C E00166E4 4EF96BFF E2FE0007 00000000 0FA623FC 00078000 00000FAA
42790000
$0000055C 0FAE42B9 00000FB0 42B90000 0FB442B9 00000FB8 42B90000 0FBC23FC
00037824
$0000057C 00037820 6000FF7E 20390000 0FB85280 B0790000 08F86EF8 600E3039
000008F8
----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 8A 8A FFFF0000 0 8002 0 FFFF
FFFF
Ax 7DDC0 75DC0 964 DFF0B0 4DD40 7FD00 3990C
TTSM III XNZVC
PC= 544 SR %0010000100000100 USP=7FC00 ISP=4F4
MSP=7F800
VBR=6BFF6000 SFC=5 DFC=5 CACR=80008000
TC=8000 URP=6BFD0000 SRP=6BFD0000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000
MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0100000000101000 dmacon=%0000011111001111 adkcon=$1100
intreq=%0000011111000000
vposr....A300 vhposr...0297 joy0dat..0002 joy1dat..0000 clxdat...8001
pot0dat..FE00 pot1dat..0000 potinp...5500 serdatr..3800 dskbytr..8000
deniseid.00F8 hhposr...FF23
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=21FF<21FF cra=00000000 ta=FFFF<FFFF
AII ROPS AII ROPS
crb=00000000 tb=21FF<21FF crb=00000000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111
prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
event=0013E4 icr=00 sdr=00 event=1851D2 icr=00 sdr=00
************************* 25-Feb-14 19:47:34
************************17.2.5386***
Slave='Robozone.slave' (2928 bytes)
ShadowMem 687F72C8 - 688772C8 ( 524288) AbsolutMem 80000 - 80000 (
0)
Resload 6BFD2000 - 6BFD9950 ( 31056) at 6BFD2000 GL=$6BFF5000
Slave 6BFFE000 - 6BFFEB4C ( 2892) at 6BFFE000 BaseMemSize=$80000
ExpMem 6BFDB000 - 6BFF4000 ( 102400) at 6BFDB000
attn=7F(40,82) fc=-1 kn=10371 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)
Exception "Illegal Instruction" ($10) at $544 occured.
$00000504 bsr.w $852
$00000508 bsr.w $842
$0000050c move #$2100,sr
$00000510 bset #1,($bfe001)
$00000518 moveq #-1,d0
$0000051a lea ($49ea0),a0
$00000520 bsr.w $1140
$00000524 bsr.w $b00
$00000528 bsr.w $722
$0000052c bsr.w $584
$00000530 addq.l #1,($fb0)
$00000536 btst #6,($bfe001)
$0000053e bne.b $524
$00000540 jmp ($6bffe2fe)
$00000546 ori.b #0,d7
$0000054a ori.b #??$a6,d0
$0000054e move.l #$78000,($faa)
$00000558 clr.w ($fae)
$0000055e clr.l ($fb0)
$00000564 clr.l ($fb4)
$0000056a clr.l ($fb8)
$00000570 clr.l ($fbc)
$00000576 move.l #$37824,($37820)
$00000580 bra.w $500
$00000584 move.l ($fb8),d0
$0000058a addq.l #1,d0
$0000058c cmp.w ($8f8),d0
$00000592 bgt.b $58c
$00000594 bra.b $5a4
exception stackframe:
$000004F4 21040000 05440010
regular stack:
$000004FC 00000528 4FF80500 6100034C 61000338 46FC2100 08F90001 00BFE001
70FF41F9
$0000051C 00049EA0 61000C1E 610005DA 610001F8 61000056 52B90000 0FB00839
000600BF
$0000053C E00166E4 4EF96BFF E2FE0007 00000000 0FA623FC 00078000 00000FAA
42790000
$0000055C 0FAE42B9 00000FB0 42B90000 0FB442B9 00000FB8 42B90000 0FBC23FC
00037824
$0000057C 00037820 6000FF7E 20390000 0FB85280 B0790000 08F86EF8 600E3039
000008F8
----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 8A 8A FFFF0000 0 8002 0 FFFF
FFFF
Ax 7DDC0 75DC0 964 DFF0B0 4DD40 7FD00 3990C
TTSM III XNZVC
PC= 544 SR %0010000100000100 USP=7FC00 ISP=4F4
MSP=7F800
VBR=6BFF6000 SFC=5 DFC=5 CACR=0
TC=8000 URP=6BFD0000 SRP=6BFD0000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000
MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0100000000101000 dmacon=%0000011111001111 adkcon=$1100
intreq=%0000011111000000
vposr....A300 vhposr...02DE joy0dat..0200 joy1dat..0000 clxdat...8001
pot0dat..4700 pot1dat..0000 potinp...5500 serdatr..3800 dskbytr..8000
deniseid.00F8 hhposr...FFAE
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=21FF<21FF cra=00000000 ta=FFFF<FFFF
AII ROPS AII ROPS
crb=00000000 tb=21FF<21FF crb=00000000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111
prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
event=0015C4 icr=00 sdr=00 event=1A9CA4 icr=00 sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad17.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0003857

StingRay (developer)

The graphics errors were caused by missing blitter waits, I could not reproduce the crash in the intro but my guess is that it only happened once the intro started to loop for the first time. This should be fixed in v1.01 of the patch. If the intro still crashes on your machine reopen this ticket.

note ~0003869

Irek (reporter)

The crash in the intro has been fixed in version 1.1->Thanks for that! Unfortunately, the gfx errors are still present in the game on my setup.:(

note ~0003870

StingRay (developer)

When exactly start the graphics error to appear? And how do they look?

note ~0003872

Irek (reporter)

The error happened after the start of the game, affected is only the main character.
How look the errors?
Well, for example, the main character is surrounded by blue shadows.
Sometimes the main character is displayed incorrectly (gfx trash)….

note ~0003875

StingRay (developer)

Weird, can you do the same you did for the SideArms patch, i.e. start the patch with snoopocs and chkbltwait option.

note ~0003876

Irek (reporter)

Just, I tried it with the snoop and chkbwaits option, and it happens the same as with Side Arms.
************************* 17-Apr-14 10:58:28
************************17.2.5386***
Slave='Robozone.slave' (3600 bytes)
ShadowMem 68314EB0 - 68393EB0 ( 520192) AbsolutMem 7F000 - 80000 (
4096)
Resload 6BFD1000 - 6BFD8950 ( 31056) at 6BFD1000 GL=$6BFF4000
Slave 6BFFD000 - 6BFFDDEC ( 3564) at 6BFFD000 BaseMemSize=$80000
ExpMem 6BFDA000 - 6BFF3000 ( 102400) at 6BFDA000
attn=7F(40,82) fc=-1 kn=10371 cs=2AA2 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)

Exception "Access Fault" ($7008) PC = $6BFD239E (Resload $139E) Long Write
to
$DFF084 (custom.cop2lc)

$6bfd2368 beq.b $6bfd234c
$6bfd236a lea ($7c,a0),a0 ;$0007f07c
$6bfd236e addi.w #$2000,d1
$6bfd2372 dbf d2,$6bfd234c
$6bfd2376 tst.b ($cc9,a4) ;$6bff4cc9
$6bfd237a beq.b $6bfd2396
$6bfd237c move.l ($108,a4),($84,a1) ;$6bff4108 $00dff084
$6bfd2382 tst.b ($76e2,a4) ;$6bffb6e2
$6bfd2386 beq.b $6bfd23b4
$6bfd2388 move.l ($108,a4),($80,a1) ;$6bff4108 $00dff080
$6bfd238e moveq #0,d0
$6bfd2390 move.w d0,($2e,a1) ;$00dff02e
$6bfd2394 bra.b $6bfd23b4
$6bfd2396 move.l #$1000,($84,a1) ;$00dff084
$6bfd239e move.l #$ffffffff,($44,a1) ;$00dff044
$6bfd23a6 move.l ($75c4,a4),d0 ;$6bffb5c4
$6bfd23aa beq.b $6bfd23b4
$6bfd23ac move.l d0,a6
$6bfd23ae lea ($6bfd23b4,pc),a0
$6bfd23b2 jmp (a6) ;$68393eb0
$6bfd23b4 moveq #0,d2
$6bfd23b6 moveq #2,d3
$6bfd23b8 move.w (4,a1),d0 ;$00dff004
$6bfd23bc move.b (6,a1),d1 ;$00dff006
$6bfd23c0 cmp.w (4,a1),d0 ;$00dff004
$6bfd23c4 bne.b $6bfd23b8
$6bfd23c6 andi.w #1,d0
$6bfd23ca lsl.w #8,d0
$6bfd23cc move.b d1,d0

exception stackframe:
$0007FFC4 20006BFD 239E7008 00000004 04850005 00850025 00DFF084 00DFF084
00001000
$0007FFE4 00DFF084 00001000 00000000 00000000 00000000 00000000 00000000

----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 2000 0 0 32 DFF000 0 6BFD18CA
7F
Ax 7F000 DFF000 6BFFB46C 6BFFB318 6BFF4000 7F000 68393EB0

TTSM III XNZVC
PC=6BFD239E SR %0010000000000000 USP=7FC00 ISP=7FFC4
MSP=7F800
VBR=6BFF5000 SFC=5 DFC=5 CACR=0
TC=0000 URP=6BFCF000 SRP=6BFCF000 MMUSR=00000000
DTT0=00000000 DTT1=00000000 ITT0=00000000 ITT1=00000000

MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0000000000000000 dmacon=%0010000000000000 adkcon=$ 0
intreq=%0000000001100000
vposr....A300 vhposr...0000 joy0dat..0000 joy1dat..0000 clxdat...0000
pot0dat..0000 pot1dat..0000 potinp...0000 serdatr..0000 dskbytr..0000
deniseid.0000 cop2lc...0000 cop2lcl..1000 hhposr...0000
ciaa: PI ROPS ciab: PI ROPS
cra=00000000 ta=31A4<31A4 cra=00000000 ta=FFFF<FFFF
AII ROPS AII ROPS
crb=00000000 tb=FFFF<FFFF crb=00000000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111100 prb=11111111 pra=11111111
prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
event=002857 icr=00 sdr=CC event=001258 icr=04 sdr=00
alarm=FFFFFF icm=08 alarm=0AD303 icm=00

note ~0003878

StingRay (developer)

Yes, that actually is exactly the same fault and it's weird as it happesn in the resload functions (i.e. WHDLoad) and you get exactly the same fault for 2 different games. Which WHDLoad version are you using? Can you try an older/newer one?

note ~0003879

Irek (reporter)

So, yesterday I tried to start the game with 17.1 and the snoop tool, and I had black-screen and I could do nothing.
So I would say that it works from 17.2. v. on my setup.
I use some versions of WHDLoad, for older slaves 10-16V and for new slave 16,9-17.2V

note ~0003884

Irek (reporter)

Yesterday evening I've tried it with newest WHDLoad version (18 BETA), and the game crashed with the same error.

note ~0004324

Wepl (manager)

Hi Irek, can you please attach a .whdl_register with the final whdload v18.0?

note ~0004437

Irek (reporter)

Hi Bert, Sorry for the delay, I completely forgot about it.

************************* 14-Feb-15 19:09:28************************18.0.5614***
Slave='Robozone.slave' (3600 bytes)
ShadowMem 6855EB90 - 685DEB90 ( 524288) AbsolutMem 80000 - 80000 (
0)
Resload 6BFD1000 - 6BFD8E0C ( 32268) at 6BFD1000 GL=$6BFF4000
Slave 6BFFD000 - 6BFFDDEC ( 3564) at 6BFFD000 BaseMemSize=$80000
ExpMem 6BFDA000 - 6BFF3000 ( 102400) at 6BFDA000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=33D(DC,IC,SCB,ECB,BNC)

DEBUG caused. PC = $2590

$0000256a jmp (a5) ;$00006cca
$0000256c st ($5a,a6) ;$00006410
$00002570 jmp (a5) ;$00006cca
$00002572 lea ($68ea,pc),a3
$00002576 moveq #$f,d6
$00002578 tst.b (a3) ;$6bfde88c
$0000257a beq.b $2584
$0000257c lea ($3e,a3),a3 ;$6bfde8ca
$00002580 dbf d6,$2578
$00002584 rts
$00002586 lea ($6cca,pc),a1
$0000258a moveq #$d,d0
$0000258c moveq #0,d1
$0000258e move.l d1,(a1)+ ;$00006fee
$00002590 move.l d1,(a1)+ ;$00006fee
$00002592 move.l d1,(a1)+ ;$00006fee
$00002594 move.l d1,(a1)+ ;$00006fee
$00002596 move.l d1,(a1)+ ;$00006fee
$00002598 move.l d1,(a1)+ ;$00006fee
$0000259a move.l d1,(a1)+ ;$00006fee
$0000259c move.l d1,(a1)+ ;$00006fee
$0000259e move.l d1,(a1)+ ;$00006fee
$000025a0 move.l d1,(a1)+ ;$00006fee
$000025a2 move.l d1,(a1)+ ;$00006fee
$000025a4 move.l d1,(a1)+ ;$00006fee
$000025a6 move.l d1,(a1)+ ;$00006fee
$000025a8 move.l d1,(a1)+ ;$00006fee
$000025aa move.l d1,(a1)+ ;$00006fee
$000025ac move.l d1,(a1)+ ;$00006fee

regular stack:
$000004F4 00001828 000018F0 00001820 6000034C 60000B8A 60000030 60000022 6000002E
$00000514 6000025A 6000004E 60000052 6000025A 60000480 60000500 6000051E 103A0F3A
$00000534 123A0F37 4E75103A 0F2F4E75 2F0E4DFA 0F162D48 00042D49 00081D40
000C1D41
$00000554 000E1D41 000D1D42 00101D7C 000F000F 2C5F4E75 43FA0EF0 22884E75 4EF96BFF
$00000574 DBF80800 617A0C87 49636521 6640D0FC 0078616C 2F074DF0 7800264E 224E45FA

  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 3 0 2300 C FFFFFFFF 2C00 24
FFFF
Ax DFF000 6FEE 6BFD1000 6BFDE88C 6C500 6CCA 63B6

                 TTSM III XNZVC
PC= 2590 SR %0010000000000100 USP=7FC00 ISP=4F4 MSP=7F800
VBR=6BFF5000 SFC=5 DFC=5 CACR=80008000 TC=8000 URP=6BFCF000 SRP=6BFCF000 MMUSR=0 DTT0=0 DTT1=0 ITT0=0 ITT1=0

         MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0000000000000000 dmacon=%0010000000000000 adkcon=$1100 intreq=%0000010110000000 vposr....A300 vhposr...029A joy0dat..0001 joy1dat..0400 clxdat...8001 pot0dat..EE00 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..8000
deniseid.00F8 hhposr...FF04
   ciaa: PI ROPS ciab: PI ROPS
    cra=01000000 ta=21FF<21FF cra=00000000 ta=FFFF<FFFF
        AII ROPS AII ROPS
    crb=00000000 tb=21FF<21FF crb=00000000 tb=FFFF<FFFF
        10RTWCLO parallel DRCCDSOY M3210HDS
    pra=11111110 prb=11111111 pra=11111111
prb=11111111
       ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
       event=000A2F icr=00 sdr=45 event=0C7377 icr=00 sdr=00

note ~0004438

Wepl (manager)

but this dump doesn't show the access fault?
does the problem still exist?

note ~0004440

Irek (reporter)

That's right, I created it with help of Debug Key (snoop+chkbwaits option).The game running without crashes on my setup now, but the gfx errors are still present in the game (affected is main character)

note ~0004441

Wepl (manager)

Ok then, I was only interested because the fault inside WHDLoad. Maybe it was an random error. I will leave this to StingRay.

note ~0004444

StingRay (developer)

The error with the fault inside the WHDLoad resload_#? functions was probably caused by the fact that Irek has a 040 CPU and the snoop functions in WHDLoad didn't support the 040 back then (I completely forgot about his CPU when asking him to start the slave with the snoop option).

I still do not have any idea about the graphics problems though and as I can't reproduce them it's not easy to do anything.

note ~0004501

StingRay (developer)

Hi Irek,

can you please run the slave with the follwing options: snoopocs chkbltwait chkcolbst chkbltsize

and if WHDLoad quits with an error message post the register file again? This problem quite annoys me but I have no idea what's causing it as I can not reproduce it on any of my machines.

Thanks.

note ~0004502

Irek (reporter)

Hi Sting,
Yesterday, I tried to start the game with all options and I had no crashes on my setup. However, the game ran partly not clean (slowdowns in the game) and of course the gfx errors in the main character were also present. Wherever the gfx errors were very strong, I have interrupted the game with the Debug Key, maybe it can help you. (see below)


************************* 30-Mär-15 18:52:55************************18.0.5614***
Slave='Robozone.slave' (3600 bytes)
ShadowMem 68342450 - 683C2450 ( 524288) AbsolutMem 80000 - 80000 (
0)
Resload 6BFD1000 - 6BFD8E0C ( 32268) at 6BFD1000 GL=$6BFF4000
Slave 6BFFD000 - 6BFFDDEC ( 3564) at 6BFFD000 BaseMemSize=$80000
ExpMem 6BFDA000 - 6BFF3000 ( 102400) at 6BFDA000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)

DEBUG caused. PC = $3138

$00003100 move.l a1,($50,a0) ;$00dff050
$00003104 move.l a2,($4c,a0) ;$00dff04c
$00003108 move.l a3,($48,a0) ;$00dff048
$0000310c move.l a3,($54,a0) ;$00dff054
$00003110 move.w d0,($58,a0) ;$00dff058
$00003114 lea ($2800,a2),a2 ;$6bfd3800
$00003118 lea ($2300,a3),a3 ;$0007da86
$0000311c btst #14,(2,a0) ;$00dff002
$00003122 bne.b $311c
$00003124 move.l a1,($50,a0) ;$00dff050
$00003128 move.l a2,($4c,a0) ;$00dff04c
$0000312c move.l a3,($48,a0) ;$00dff048
$00003130 move.l a3,($54,a0) ;$00dff054
$00003134 move.w d0,($58,a0) ;$00dff058
$00003138 lea ($2800,a2),a2 ;$6bfd3800
$0000313c lea ($2300,a3),a3 ;$0007da86
$00003140 btst #14,(2,a0) ;$00dff002
$00003146 bne.b $3140
$00003148 move.l a1,($50,a0) ;$00dff050
$0000314c move.l a2,($4c,a0) ;$00dff04c
$00003150 move.l a3,($48,a0) ;$00dff048
$00003154 move.l a3,($54,a0) ;$00dff054
$00003158 move.w d0,($58,a0) ;$00dff058
$0000315c lea ($2300,a3),a3 ;$0007da86
$00003160 btst #14,(2,a0) ;$00dff002
$00003166 bne.b $3160
$00003168 rts
$0000316a ori.w #$b0a,d1
$0000316e move.w d1,($40,a0) ;$00dff040

regular stack:
$000004F6 00002DB6 00110000 18346000 034C6000 0B8A6000 00306000 00226000
002E6000
$00000516 025A6000 004E6000 00526000 025A6000 04806000 05006000 051E103A
0F3A123A
$00000536 0F374E75 103A0F2F 4E752F0E 4DFA0F16 2D480004 2D490008 1D40000C
1D41000E
$00000556 1D41000D 1D420010 1D7C000F 000F2C5F 4E7543FA 0EF02288 4E754EF9
6BFFDBF8
$00000576 0800617A 0C874963 65216640 D0FC0078 616C2F07 4DF07800 264E224E
45FA01DC

----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6----
----7----
Dx 403 2FCA FFFF0003 10 FFFFFFFF FFFF0000 22
0
Ax DFF000 48494 6BFD1000 7B786 2000 648E 63B6

TTSM III XNZVC
PC= 3138 SR %0010000000000000 USP=7FC00 ISP=4F6 MSP=7F800
VBR=6BFF5000 SFC=5 DFC=5 CACR=0
TC=8000 URP=6BFCF000 SRP=6BFCF000 MMUSR=0
DTT0=0 DTT1=0 ITT0=0 ITT1=0

MEDRAAAABVCPSDT YZ PMRCBSDAAAA
intena=%0000000000000000 dmacon=%0000000000000000 adkcon=$1100
intreq=%0000010110000000
vposr....A300 vhposr...1C7C joy0dat..FC14 joy1dat..00FF clxdat...8001
pot0dat..9900 pot1dat..0000 potinp...5500 serdatr..3BFF dskbytr..8000
vposw....A300 bltcon0..2FCA bltcon1..2000 bltafwm..FFFF bltalwm..0000
bltcpt...0007 bltcptl..B786 bltbpt...0004 bltbptl..3494 bltapt...0004
bltaptl..8494 bltdpt...0007 bltdptl..B786 bltsize..0403 bltcmod..0022
bltbmod..0022 bltamod..0022 bltdmod..0022 bltadat..0000 cop1lc...0000
cop1lcl..395A cop2lc...0000 cop2lcl..1000 diwstrt..2C91 diwstop..ECB1
ddfstrt..0038 ddfstop..00C8 aud0pt...0005 aud0ptl..81DE aud0len..0001
aud0per..0153 aud0vol..0027 aud0dat..0000 aud1pt...0004 aud1ptl..FC3C
aud1len..0001 aud1per..00FE aud1vol..0040 aud1dat..0000 aud2pt...0005
aud2ptl..201A aud2len..0001 aud2per..00B4 aud2vol..0040 aud2dat..0000
aud3pt...0006 aud3ptl..E8FA aud3len..2073 aud3per..0153 aud3vol..0000
aud3dat..0000 bpl1pt...0000 bpl1ptl..0000 bpl2pt...0000 bpl2ptl..0000
bpl3pt...0000 bpl3ptl..0000 bpl4pt...0000 bpl4ptl..0000 bpl5pt...0000
bpl5ptl..0000 bplcon0..5200 bplcon1..0000 bplcon2..0000 bpl1mod..0002
bpl2mod..0002 spr0ctl..0000 spr0data.0000 spr0datb.0000 spr1ctl..0000
spr1data.0000 spr1datb.0000 spr2ctl..0000 spr2data.0000 spr2datb.0000
spr3ctl..0000 spr3data.0000 spr3datb.0000 spr4ctl..0000 spr4data.0000
spr4datb.0000 spr5ctl..0000 spr5data.0000 spr5datb.0000 spr6ctl..0000
spr6data.0000 spr6datb.0000 spr7ctl..0000 spr7data.0000 spr7datb.0000
color00..0000 color01..0000 color02..0000 color03..0000 color04..0000
color05..0000 color06..0000 color07..0000 color08..0000 color09..0000
color10..0000 color11..0000 color12..0000 color13..0000 color14..0000
color15..0000 color16..0000 color17..0000 color18..0000 color19..0000
color20..0000 color21..0000 color22..0000 color23..0000 color24..0000
color25..0000 color26..0000 color27..0000 color28..0000 color29..0000
color30..0000 color31..0000
ciaa: PI ROPS ciab: PI ROPS
cra=01000000 ta=21FF<21FF cra=00000000 ta=FFFF<FFFF
AII ROPS AII ROPS
crb=00000000 tb=21FF<21FF crb=00000000 tb=FFFF<FFFF
10RTWCLO parallel DRCCDSOY M3210HDS
pra=11111110 prb=11111111 pra=11111111
prb=11111111
ddra=00000011 ddrb=00000000 ddra=11000000
ddrb=11111111
event=00141E icr=00 sdr=45 event=1898B1 icr=00 sdr=00
alarm=FFFFFF icm=88 alarm=0AD303 icm=00

note ~0004503

StingRay (developer)

This Irek,

thanks! The slowdowns are normal when WHDLoad runs in snoop mode as a lot of things have to be checked so there's nothing to worry about. Unfortunately the dump doesn't help me to track down the problem as the code there is perfectly fine. For now I have to admit defeat I guess as I really have no idea what's wrong with the game on your machine and have absolutely no possibility to reproduce this problem.

Sorry for no better news but I'm really out of ideas for now.
+Notes

-Issue History
Date Modified Username Field Change
2014-02-25 22:58 administrator New Issue
2014-02-25 22:58 administrator Status new => assigned
2014-02-25 22:58 administrator Assigned To => StingRay
2014-04-12 12:13 StingRay Note Added: 0003857
2014-04-12 12:14 StingRay Status assigned => resolved
2014-04-12 12:14 StingRay Resolution open => fixed
2014-04-16 14:09 Irek Note Added: 0003869
2014-04-16 16:16 StingRay Note Added: 0003870
2014-04-16 20:33 Irek Note Added: 0003872
2014-04-17 06:51 StingRay Note Added: 0003875
2014-04-17 12:24 Irek Note Added: 0003876
2014-04-17 17:20 StingRay Note Added: 0003878
2014-04-17 17:46 Irek Note Added: 0003879
2014-04-18 13:26 Irek Note Added: 0003884
2015-01-24 19:54 Wepl Note Added: 0004324
2015-01-24 19:55 Wepl Status resolved => feedback
2015-01-24 19:55 Wepl Resolution fixed => reopened
2015-02-21 13:19 Irek Note Added: 0004437
2015-02-21 13:19 Irek Status feedback => assigned
2015-02-21 15:39 Wepl Note Added: 0004438
2015-02-22 17:10 Irek Note Added: 0004440
2015-02-22 17:26 Wepl Note Added: 0004441
2015-02-23 07:48 StingRay Note Added: 0004444
2015-03-30 19:21 StingRay Note Added: 0004501
2015-03-31 17:20 Irek Note Added: 0004502
2015-03-31 22:39 StingRay Note Added: 0004503
2016-08-06 12:09 StingRay Status assigned => resolved
2016-08-06 12:09 StingRay Resolution reopened => unable to reproduce
2018-10-12 12:47 StingRay Status resolved => closed
+Issue History